Collect Channels by URL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [{ "url": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{url: '<string>'}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"url": "https://www.youtube.com/@channelname",
"handle": "@channelname",
"banner_img": "https://...",
"profile_image": "https://...",
"name": "Channel Name",
"subscribers": 299,
"Description": "Channel description...",
"videos_count": 21,
"created_date": "2024-11-25T00:00:00.000Z",
"views": 98723,
"Details": {"location": "United States"},
"Links": ["youtube.com/@channelname"],
"identifier": "UC...",
"id": "UC...",
"has_podcast": false,
"top_videos": [
{
"Image_url": "https://...",
"posted_time": "3 weeks ago",
"title": "Video Title",
"video_url": "https://www.youtube.com/watch?v=abc",
"views": 11
}
]
}
]
YouTube
Collect channels by URL
Use the Bright Data Web Scraper API to collect Channels by URL. POST /datasets/v3/scrape starts a scraping job that returns the data as structured JSON records.
POST
/
datasets
/
v3
/
scrape
Collect Channels by URL
Query Parameters
string
default:"gd_lk538t2k2p1k3oos71"
required
The dataset ID used for this request.
Must be set to
gd_lk538t2k2p1k3oos71 to collect YouTube channels data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"url": "https://www.youtube.com/@channelname",
"handle": "@channelname",
"banner_img": "https://...",
"profile_image": "https://...",
"name": "Channel Name",
"subscribers": 299,
"Description": "Channel description...",
"videos_count": 21,
"created_date": "2024-11-25T00:00:00.000Z",
"views": 98723,
"Details": {"location": "United States"},
"Links": ["youtube.com/@channelname"],
"identifier": "UC...",
"id": "UC...",
"has_podcast": false,
"top_videos": [
{
"Image_url": "https://...",
"posted_time": "3 weeks ago",
"title": "Video Title",
"video_url": "https://www.youtube.com/watch?v=abc",
"views": 11
}
]
}
]
Was this page helpful?
⌘I